SharePoint 2016: Databases running in compatibility range, upgrade recommended

You may notice the above comment when you create a brand new farm in Central Admin under Central Administration->Upgrade and Migration ->  Review database status

On a new farm without any site collection you should have the Sharepoint_config  configoration database and the Sharepoint_AdminContent_***    content database.

the Sharepoint_AdminContent_***    content database is the one with the status Databases running in compatibility range, upgrade recommended.

you can also view more details on the event viewer :

You have performed an initial core install of SharePoint 2016 onto a single server. You have not yet created user content web applications or instantiated any service applications. Later, you check Health Reports and notice the following warning:

Title Databases running in compatibility range, upgrade recommended
Severity 2 – Warning
Category Configuration
Explanation The following databases have versions that are older than the current SharePoint software, but are within the backwards compatible range:
[central admin content database].
Remedy To achieve optimal results from these databases, use Upgrade-SPContentDatabase to upgrade Content databases, or psconfig.exe to upgrade other databases. For more information about this rule, see

http://go.microsoft.com/fwlink/?LinkID=142697
Failing Servers
Failing Services SPTimerService (SPTimerV4)
Rule Settings View

 

To fix this you can run the following code :

Add-PSSnapin Microsoft.Sharepoint.Powershell
clear
stsadm.exe -o localupgradestatus # get detailed information on database status
# get all databases since the admin content db doesn't considered as a regular 
# content DB and won't show in Get-SPDatabase without the -Auto command
Get-SPDatabase | ft -Auto 
Psconfig.exe -cmd upgrade -inplace b2b -wait -force # upgrade databases

Ref:  Microsoft TechNet

Leave a Reply

Your email address will not be published. Required fields are marked *